Create Route

A route is a group of deliveries which will be fulfilled together. Partners can book a Dolly route after creating Dolly deliveries. This endpoint creates a Dolly route, allowing a partner to group multiple pre-existing Dolly deliveries (orders) into a single fulfillment job. Partners can use the optional requestedVehicleInfo body parameter to specify a minimum acceptable vehicle type for the route. Additionally, as part of route creation, the pickup and/or delivery time windows for each individual order within the route can be adjusted to meet specific scheduling needs.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Endpoint

https://papi.sandbox.dolly.com/v1/routes

HTTP Method

POST

Authorization Header

Authorization: Bearer {tokenValue}

Example Request Body

{
  "clientId": "{{your clientId}}", // required
  "externalRouteId": "your-route-id", // required
  "orders": [ // required, should be valid Dolly order IDs
    { "orderId": "string" }
  ]
}
Body Params
string
required
string
required
orders
array of objects
required
orders*
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json